#!/bin/bash

if [ $# -eq 2 ]; then

	echo "PACKAGE 	= $1"
	echo "TEST 		= $2"
	
	javac -cp "lib/cofoja.asm-1.2-20140817.jar:lib/junit-4.12.jar" "-Acom.google.java.contract.classpath=lib/cofoja.asm-1.2-20140817.jar" "-Acom.google.java.contract.classoutput=bin" -d bin src/main/java/task/$1/*.java src/test/java/task/$1/*.java

	java "-javaagent:lib/cofoja.asm-1.2-20140817.jar" -cp "bin:lib/*" org.junit.runner.JUnitCore task.$1.$2	
	
else
    echo "USAGE: sh ./testrun.sh <package> <testClass>"
fi





